Recherche avancée

Médias (91)

Autres articles (62)

  • Publier sur MédiaSpip

    13 juin 2013

    Puis-je poster des contenus à partir d’une tablette Ipad ?
    Oui, si votre Médiaspip installé est à la version 0.2 ou supérieure. Contacter au besoin l’administrateur de votre MédiaSpip pour le savoir

  • Emballe Médias : Mettre en ligne simplement des documents

    29 octobre 2010, par

    Le plugin emballe médias a été développé principalement pour la distribution mediaSPIP mais est également utilisé dans d’autres projets proches comme géodiversité par exemple. Plugins nécessaires et compatibles
    Pour fonctionner ce plugin nécessite que d’autres plugins soient installés : CFG Saisies SPIP Bonux Diogène swfupload jqueryui
    D’autres plugins peuvent être utilisés en complément afin d’améliorer ses capacités : Ancres douces Légendes photo_infos spipmotion (...)

  • Prérequis à l’installation

    31 janvier 2010, par

    Préambule
    Cet article n’a pas pour but de détailler les installations de ces logiciels mais plutôt de donner des informations sur leur configuration spécifique.
    Avant toute chose SPIPMotion tout comme MediaSPIP est fait pour tourner sur des distributions Linux de type Debian ou dérivées (Ubuntu...). Les documentations de ce site se réfèrent donc à ces distributions. Il est également possible de l’utiliser sur d’autres distributions Linux mais aucune garantie de bon fonctionnement n’est possible.
    Il (...)

Sur d’autres sites (5367)

  • Unable to compile ffmpeg in OSX

    19 septembre 2015, par mallendeo
    git clone https://github.com/FFmpeg/FFmpeg --depth=1
    cd FFmpeg
    ./configure --disable-everything --enable-demuxer=aac --enable-demuxer=mpegvideo --enable-demuxer=h264 --cc=clang --disable-doc
    make

    When I build it, it keeps throwing this error :

    CC  ffmpeg.o
    CC  cmdutils.o
    CC  ffmpeg_opt.o
    CC  ffmpeg_filter.o
    CC  ffmpeg_videotoolbox.o
    LD  ffmpeg_g
    Undefined symbols for architecture x86_64:
     "_av_vda_default_init2", referenced from:
         _videotoolbox_init in ffmpeg_videotoolbox.o
    ld: symbol(s) not found for architecture x86_64
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make: *** [ffmpeg_g] Error 1

    I couldn’t find any solution to this. Some bug reports suggest using --cc=clang but did nothing.

    Thanks

  • Unable to compile ffmpeg in OSX [Solved]

    19 septembre 2015, par mallendeo
    git clone https://github.com/FFmpeg/FFmpeg --depth=1
    cd FFmpeg
    ./configure --disable-everything --enable-demuxer=aac --enable-demuxer=mpegvideo --enable-demuxer=h264 --cc=clang --disable-doc
    make

    When I build it, it keeps throwing this error :

    CC  ffmpeg.o
    CC  cmdutils.o
    CC  ffmpeg_opt.o
    CC  ffmpeg_filter.o
    CC  ffmpeg_videotoolbox.o
    LD  ffmpeg_g
    Undefined symbols for architecture x86_64:
     "_av_vda_default_init2", referenced from:
         _videotoolbox_init in ffmpeg_videotoolbox.o
    ld: symbol(s) not found for architecture x86_64
    clang: error: linker command failed with exit code 1 (use -v to see invocation)
    make: *** [ffmpeg_g] Error 1

    I couldn’t find any solution to this. Some bug reports suggest using --cc=clang but did nothing.

    Thanks

    Update : add --disable-yasm

  • Compile FFMPEG in iOS with bitcode mode

    16 février 2016, par Mr.G

    I compiled FFMPEG libs which supports for iOS 7 and 8 but since recent release with iOS 9 there is a new feature has issued which called bitcode mode , as a default setting , this setting has set to NO .

    But if i set this as yes , following error will execute ,

    libavdevice.a(avfoundation.o)’ does not contain bitcode. You must rebuild it with bitcode enabled (Xcode setting ENABLE_BITCODE), obtain an updated library from the vendor, or disable bitcode for this target. for architecture arm64

    Is there any way to compile FFMPEG which supports FFMpeg in bitcode enabled mode

    here is the build script i used

    #!/bin/sh

    # directories
    SOURCE="ffmpeg-2.6.2"
    FAT="FFmpeg-iOS"

    SCRATCH="scratch"
    # must be an absolute path
    THIN=`pwd`/"thin"

    # absolute path to x264 library
    #X264=`pwd`/fat-x264

    #FDK_AAC=`pwd`/fdk-aac/fdk-aac-ios

    CONFIGURE_FLAGS="--enable-cross-compile --disable-debug --disable-programs \
                    --disable-doc --enable-pic"

    if [ "$X264" ]
    then
       CONFIGURE_FLAGS="$CONFIGURE_FLAGS --enable-gpl --enable-libx264"
    fi

    if [ "$FDK_AAC" ]
    then
       CONFIGURE_FLAGS="$CONFIGURE_FLAGS --enable-libfdk-aac"
    fi

    # avresample
    #CONFIGURE_FLAGS="$CONFIGURE_FLAGS --enable-avresample"

    ARCHS="arm64 armv7 x86_64 i386"

    COMPILE="y"
    LIPO="y"

    DEPLOYMENT_TARGET="6.0"

    if [ "$*" ]
    then
       if [ "$*" = "lipo" ]
       then
           # skip compile
           COMPILE=
       else
           ARCHS="$*"
           if [ $# -eq 1 ]
           then
               # skip lipo
               LIPO=
           fi
       fi
    fi

    if [ "$COMPILE" ]
    then
       if [ ! `which yasm` ]
       then
           echo 'Yasm not found'
           if [ ! `which brew` ]
           then
               echo 'Homebrew not found. Trying to install...'
               ruby -e "$(curl -fsSL https://raw.github.com/Homebrew/homebrew/go/install)" \
                   || exit 1
           fi
           echo 'Trying to install Yasm...'
           brew install yasm || exit 1
       fi
       if [ ! `which gas-preprocessor.pl` ]
       then
           echo 'gas-preprocessor.pl not found. Trying to install...'
           (curl -L https://github.com/libav/gas-preprocessor/raw/master/gas-preprocessor.pl \
               -o /usr/local/bin/gas-preprocessor.pl \
               && chmod +x /usr/local/bin/gas-preprocessor.pl) \
               || exit 1
       fi

       if [ ! -r $SOURCE ]
       then
           echo 'FFmpeg source not found. Trying to download...'
           curl http://www.ffmpeg.org/releases/$SOURCE.tar.bz2 | tar xj \
               || exit 1
       fi

       CWD=`pwd`
       for ARCH in $ARCHS
       do
           echo "building $ARCH..."
           mkdir -p "$SCRATCH/$ARCH"
           cd "$SCRATCH/$ARCH"

           CFLAGS="-arch $ARCH"
           if [ "$ARCH" = "i386" -o "$ARCH" = "x86_64" ]
           then
               PLATFORM="iPhoneSimulator"
               CFLAGS="$CFLAGS -mios-simulator-version-min=$DEPLOYMENT_TARGET"
           else
               PLATFORM="iPhoneOS"
               CFLAGS="$CFLAGS -mios-version-min=$DEPLOYMENT_TARGET"
               if [ "$ARCH" = "arm64" ]
               then
                   EXPORT="GASPP_FIX_XCODE5=1"
               fi
           fi

           XCRUN_SDK=`echo $PLATFORM | tr '[:upper:]' '[:lower:]'`
           CC="xcrun -sdk $XCRUN_SDK clang"
           CXXFLAGS="$CFLAGS"
           LDFLAGS="$CFLAGS"
           if [ "$X264" ]
           then
               CFLAGS="$CFLAGS -I$X264/include"
               LDFLAGS="$LDFLAGS -L$X264/lib"
           fi
           if [ "$FDK_AAC" ]
           then
               CFLAGS="$CFLAGS -I$FDK_AAC/include"
               LDFLAGS="$LDFLAGS -L$FDK_AAC/lib"
           fi

           TMPDIR=${TMPDIR/%\/} $CWD/$SOURCE/configure \
               --target-os=darwin \
               --arch=$ARCH \
               --cc="$CC" \
               $CONFIGURE_FLAGS \
               --extra-cflags="$CFLAGS" \
               --extra-cxxflags="$CXXFLAGS" \
               --extra-ldflags="$LDFLAGS" \
               --prefix="$THIN/$ARCH" \
           || exit 1

           make -j3 install $EXPORT || exit 1
           cd $CWD
       done
    fi

    if [ "$LIPO" ]
    then
       echo "building fat binaries..."
       mkdir -p $FAT/lib
       set - $ARCHS
       CWD=`pwd`
       cd $THIN/$1/lib
       for LIB in *.a
       do
           cd $CWD
           echo lipo -create `find $THIN -name $LIB` -output $FAT/lib/$LIB 1>&2
           lipo -create `find $THIN -name $LIB` -output $FAT/lib/$LIB || exit 1
       done

       cd $CWD
       cp -rf $THIN/$1/include $FAT
    fi

    echo Done